-- phpMyAdmin SQL Dump
-- version 3.0.0-alpha
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Мар 19 2009 г., 16:53
-- Версия сервера: 5.0.51
-- Версия PHP: 5.2.6-1+lenny2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `ant`
--

-- --------------------------------------------------------

--
-- Структура таблицы `arch`
--

CREATE TABLE IF NOT EXISTS `arch` (
  `arch_id` int(2) NOT NULL auto_increment,
  `arch` varchar(10) default NULL,
  PRIMARY KEY  (`arch_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `arch`
--

INSERT INTO `arch` (`arch_id`, `arch`) VALUES
(1, 'i386'),
(2, 'amd64');

-- --------------------------------------------------------

--
-- Структура таблицы `arch2rep`
--

CREATE TABLE IF NOT EXISTS `arch2rep` (
  `id` int(11) NOT NULL auto_increment,
  `arch_id` int(2) default NULL,
  `rep_id` int(5) default NULL,
  PRIMARY KEY  (`id`),
  KEY `arch_id` (`arch_id`),
  KEY `rep_id` (`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `arch2rep`
--

INSERT INTO `arch2rep` (`id`, `arch_id`, `rep_id`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 2, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `distribution`
--

CREATE TABLE IF NOT EXISTS `distribution` (
  `dist_id` int(5) NOT NULL auto_increment,
  `distname` varchar(25) default NULL,
  `disttype` int(1) NOT NULL,
  PRIMARY KEY  (`dist_id`),
  KEY `disttype` (`disttype`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `distribution`
--

INSERT INTO `distribution` (`dist_id`, `distname`, `disttype`) VALUES
(1, 'Debian GNU/Linux', 1),
(2, 'Ubuntu Linux', 1),
(3, 'InfraLinux', 1);

-- --------------------------------------------------------

--
-- Структура таблицы `dtype`
--

CREATE TABLE IF NOT EXISTS `dtype` (
  `type_id` int(1) NOT NULL auto_increment,
  `type` char(3) character set utf8 NOT NULL,
  PRIMARY KEY  (`type_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `dtype`
--

INSERT INTO `dtype` (`type_id`, `type`) VALUES
(1, 'deb'),
(2, 'rpm');

-- --------------------------------------------------------

--
-- Структура таблицы `owner`
--

CREATE TABLE IF NOT EXISTS `owner` (
  `id` int(11) NOT NULL auto_increment,
  `login` char(32) default NULL,
  `passwd` char(32) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `owner`
--

INSERT INTO `owner` (`id`, `login`, `passwd`) VALUES
(1, 'admin', 'b167f5e9e5794a7e1eaca776fed7afb9');

-- --------------------------------------------------------

--
-- Структура таблицы `repository`
--

CREATE TABLE IF NOT EXISTS `repository` (
  `rep_id` int(5) NOT NULL auto_increment,
  `repname` varchar(20) default NULL,
  `repdescribe` text,
  `scheme_id` int(2) NOT NULL,
  `rtype_id` int(2) NOT NULL,
  PRIMARY KEY  (`rep_id`),
  KEY `scheme` (`scheme_id`),
  KEY `rtype_id` (`rtype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=59 ;

--
-- Дамп данных таблицы `repository`
--

INSERT INTO `repository` (`rep_id`, `repname`, `repdescribe`, `scheme_id`, `rtype_id`) VALUES
(1, 'sarge', 'Базовый репозиторий', 4, 1),
(2, 'sarge-backports', 'Бэкпорты для Sarge', 9, 2),
(3, 'etch', 'Базовый репозиторий', 4, 1),
(4, 'etch-updates', 'Обновления безопасности', 6, 2),
(5, 'etch-backports', 'Бэкпорты для Etch', 9, 2),
(6, 'etch-opera', 'Репозиторий с браузером Opera', 4, 3),
(7, 'etch-virtualbox', 'Репозиторий с VirtualBox', 4, 3),
(8, 'etch-winehq', 'Репозиторий с wine', 4, 3),
(9, 'lenny', 'Базовый репозиторий', 4, 1),
(10, 'lenny-2gis', 'Репозиторий с 2GIS', 4, 3),
(11, 'lenny-opera', 'Репозиторий с браузером Opera', 4, 3),
(12, 'lenny-updates', 'Обновления безопасности', 6, 2),
(13, 'lenny-virtualbox', 'Репозиторий с  VirtualBox', 4, 3),
(14, 'hardy', 'Базовый репозиторий', 4, 1),
(15, 'hardy-commercial', 'Репозиторий с коммерческим ПО', 4, 2),
(16, 'hardy', 'Обновления безопасности', 11, 2),
(17, 'hardy', 'Обновления', 10, 2),
(18, 'hardy-2gis', 'Репозиторий с 2GIS', 4, 3),
(19, 'hardy-freenx', 'Репозиторий с FreeNX', 4, 3),
(20, 'hardy-playonlinux', 'Репозиторий с играми', 4, 3),
(35, 'infralinux', 'Обновления безопасности', 11, 2),
(21, 'hardy-virtualbox', 'Репозиторий с  VirtualBox', 4, 3),
(22, 'hardy-winehq', 'Репозиторий с  Wine', 4, 3),
(23, 'intrepid', 'Бэкпорты для Intrepid Ibex', 9, 2),
(24, 'hardy', 'Бэкпорты для Hardy Heron', 9, 2),
(25, 'intrepid', 'Базовый репозиторий', 4, 1),
(26, 'intrepid', 'Обновления безопасности', 11, 2),
(27, 'intrepid', 'Обновления', 10, 2),
(28, 'intrepid-commercial', 'Репозиторий с коммерческим ПО', 4, 2),
(29, 'kubuntu-experimental', 'Экспериментальный репозиторий с KDE 4', 4, 3),
(30, 'intrepid-playonlinux', 'Репозиторий с играми', 4, 3),
(33, 'infralinux', 'Базовый репозиторий', 4, 1),
(31, 'intrepid-virtualbox', 'Репозиторий с  VirtualBox', 4, 3),
(32, 'intrepid-winehq', 'Репозиторий с Wine', 4, 3),
(36, 'infralinux', 'Обновления', 10, 2),
(37, 'infralinux', 'Бэкпорты для Intrepid Ibex', 9, 2),
(43, 'etch-multimedia', 'Мультимедийный репозиторий для Etch', 4, 3),
(44, 'lenny-multimedia', 'Мультимедийный репозиторий для Lenny', 4, 3),
(45, 'etch', 'Обновления для Etch', 5, 2),
(46, 'lenny', 'Обновления для Lenny', 5, 2),
(47, 'lenny-volatile', 'Обновления для Lenny', 7, 2),
(48, 'lenny-volatile', 'Обновления для Lenny', 8, 2),
(50, 'squeeze', 'Базовый репозиторий', 4, 1),
(51, 'squeeze-updates', 'Обновления безопасности для Squeeze', 6, 2),
(52, 'squeeze', 'Обновления для Squeeze', 5, 2),
(55, 'jaunty', 'Базовый репозиторий', 4, 1),
(56, 'jaunty', 'Бэкпорты', 9, 2),
(57, 'jaunty', 'Обновления', 10, 2),
(58, 'jaunty', 'Обновления безопасности', 11, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `rtype`
--

CREATE TABLE IF NOT EXISTS `rtype` (
  `rtype_id` int(2) NOT NULL auto_increment,
  `rtype` varchar(25) NOT NULL,
  PRIMARY KEY  (`rtype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `rtype`
--

INSERT INTO `rtype` (`rtype_id`, `rtype`) VALUES
(1, 'Базовый'),
(2, 'Дополнительный'),
(3, 'Extra (добавочный)');

-- --------------------------------------------------------

--
-- Структура таблицы `scheme`
--

CREATE TABLE IF NOT EXISTS `scheme` (
  `scheme_id` int(2) NOT NULL auto_increment,
  `scheme` varchar(200) NOT NULL,
  PRIMARY KEY  (`scheme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `scheme`
--

INSERT INTO `scheme` (`scheme_id`, `scheme`) VALUES
(4, '{TYPE} {PROTO}{URL}/{REP} {DIST} {SECT}'),
(5, '{TYPE} {PROTO}{URL}/{REP} {DIST}-proposed-updates {SECT}'),
(6, '{TYPE} {PROTO}{URL}/{REP} {DIST}/updates {SECT}'),
(7, '{TYPE} {PROTO}{URL}/{REP} {DIST}/volatile {SECT}'),
(8, '{TYPE} {PROTO}{URL}/{REP} {DIST}/volatile-sloppy {SECT}'),
(9, '{TYPE} {PROTO}{URL}/{REP} {DIST}-backports {SECT}'),
(10, '{TYPE} {PROTO}{URL}/{REP} {DIST}-updates {SECT}'),
(11, '{TYPE} {PROTO}{URL}/{REP} {DIST}-security {SECT}');

-- --------------------------------------------------------

--
-- Структура таблицы `sect2dist`
--

CREATE TABLE IF NOT EXISTS `sect2dist` (
  `id` int(10) NOT NULL auto_increment,
  `sect_id` int(3) NOT NULL,
  `dist_id` int(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `sect_id` (`sect_id`,`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=27 ;

--
-- Дамп данных таблицы `sect2dist`
--

INSERT INTO `sect2dist` (`id`, `sect_id`, `dist_id`) VALUES
(11, 0, 2),
(2, 2, 1),
(25, 3, 2),
(10, 0, 1),
(16, 4, 2),
(18, 5, 2),
(20, 6, 2),
(22, 7, 2),
(24, 3, 1),
(12, 0, 3),
(13, 1, 1),
(14, 1, 2),
(15, 1, 3),
(17, 4, 3),
(19, 5, 3),
(21, 6, 3),
(23, 7, 3),
(26, 3, 3);

-- --------------------------------------------------------

--
-- Структура таблицы `sect2rep`
--

CREATE TABLE IF NOT EXISTS `sect2rep` (
  `id` int(10) NOT NULL auto_increment,
  `sect_id` int(3) NOT NULL,
  `rep_id` int(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `sect_id` (`sect_id`,`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=529 ;

--
-- Дамп данных таблицы `sect2rep`
--

INSERT INTO `sect2rep` (`id`, `sect_id`, `rep_id`) VALUES
(74, 3, 0),
(73, 2, 0),
(72, 1, 0),
(77, 3, 0),
(76, 2, 0),
(75, 1, 0),
(80, 3, 0),
(79, 2, 0),
(78, 1, 0),
(83, 3, 0),
(82, 2, 0),
(81, 1, 0),
(86, 3, 0),
(85, 2, 0),
(84, 1, 0),
(87, 3, 0),
(88, 3, 0),
(89, 1, 0),
(92, 3, 0),
(91, 2, 0),
(90, 1, 0),
(93, 3, 0),
(94, 3, 0),
(97, 3, 0),
(96, 2, 0),
(95, 1, 0),
(98, 3, 0),
(102, 6, 0),
(101, 5, 0),
(100, 4, 0),
(99, 1, 0),
(103, 7, 0),
(107, 6, 0),
(106, 5, 0),
(105, 4, 0),
(104, 1, 0),
(111, 6, 0),
(110, 5, 0),
(109, 4, 0),
(108, 1, 0),
(112, 3, 0),
(113, 1, 0),
(114, 1, 0),
(115, 3, 0),
(116, 1, 0),
(124, 6, 0),
(123, 5, 0),
(122, 4, 0),
(121, 1, 0),
(120, 6, 0),
(119, 5, 0),
(118, 4, 0),
(117, 1, 0),
(128, 6, 0),
(127, 5, 0),
(126, 4, 0),
(125, 1, 0),
(132, 6, 0),
(131, 5, 0),
(130, 4, 0),
(129, 1, 0),
(136, 6, 0),
(135, 5, 0),
(134, 4, 0),
(133, 1, 0),
(137, 7, 0),
(138, 1, 0),
(139, 1, 0),
(140, 3, 0),
(71, 1, 0),
(454, 6, 33),
(453, 5, 33),
(452, 4, 33),
(451, 1, 33),
(524, 6, 35),
(523, 5, 35),
(522, 4, 35),
(521, 1, 35),
(528, 6, 36),
(527, 5, 36),
(526, 4, 36),
(525, 1, 36),
(520, 6, 37),
(519, 5, 37),
(518, 4, 37),
(517, 1, 37),
(161, 1, 0),
(162, 4, 0),
(163, 5, 0),
(164, 6, 0),
(165, 1, 0),
(166, 2, 0),
(167, 3, 0),
(367, 3, 1),
(366, 2, 1),
(365, 1, 1),
(370, 3, 2),
(369, 2, 2),
(368, 1, 2),
(373, 3, 3),
(372, 2, 3),
(371, 1, 3),
(377, 3, 4),
(376, 2, 4),
(375, 1, 4),
(380, 3, 5),
(379, 2, 5),
(378, 1, 5),
(384, 3, 6),
(385, 3, 7),
(386, 1, 8),
(391, 3, 9),
(390, 2, 9),
(389, 1, 9),
(404, 3, 10),
(405, 3, 11),
(394, 3, 12),
(393, 2, 12),
(392, 1, 12),
(406, 3, 13),
(411, 6, 14),
(410, 5, 14),
(409, 4, 14),
(408, 1, 14),
(412, 7, 15),
(416, 6, 16),
(415, 5, 16),
(414, 4, 16),
(413, 1, 16),
(420, 6, 17),
(419, 5, 17),
(418, 4, 17),
(417, 1, 17),
(475, 3, 18),
(476, 1, 19),
(477, 1, 20),
(478, 3, 21),
(479, 1, 22),
(424, 6, 24),
(423, 5, 24),
(422, 4, 24),
(421, 1, 24),
(433, 6, 23),
(432, 5, 23),
(431, 4, 23),
(430, 1, 23),
(437, 6, 25),
(436, 5, 25),
(435, 4, 25),
(434, 1, 25),
(441, 6, 26),
(440, 5, 26),
(439, 4, 26),
(438, 1, 26),
(445, 6, 27),
(444, 5, 27),
(443, 4, 27),
(442, 1, 27),
(446, 7, 28),
(447, 1, 29),
(480, 1, 30),
(481, 3, 31),
(482, 1, 32),
(387, 1, 43),
(407, 1, 44),
(383, 3, 45),
(382, 2, 45),
(381, 1, 45),
(397, 3, 46),
(396, 2, 46),
(395, 1, 46),
(400, 3, 47),
(399, 2, 47),
(398, 1, 47),
(403, 3, 48),
(402, 2, 48),
(401, 1, 48),
(486, 1, 50),
(487, 2, 50),
(488, 3, 50),
(489, 1, 51),
(490, 2, 51),
(491, 3, 51),
(492, 1, 52),
(493, 2, 52),
(494, 3, 52),
(501, 1, 55),
(502, 4, 55),
(503, 5, 55),
(504, 6, 55),
(505, 1, 56),
(506, 4, 56),
(507, 5, 56),
(508, 6, 56),
(509, 1, 57),
(510, 4, 57),
(511, 5, 57),
(512, 6, 57),
(513, 1, 58),
(514, 4, 58),
(515, 5, 58),
(516, 6, 58);

-- --------------------------------------------------------

--
-- Структура таблицы `section`
--

CREATE TABLE IF NOT EXISTS `section` (
  `sect_id` int(3) NOT NULL auto_increment,
  `sectname` varchar(25) NOT NULL,
  `sectinfo` text NOT NULL,
  PRIMARY KEY  (`sect_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `section`
--

INSERT INTO `section` (`sect_id`, `sectname`, `sectinfo`) VALUES
(1, 'main', 'Основной раздел, в котором собраны пакеты ПО только под свободными лицензиями.'),
(4, 'restricted', ''),
(5, 'universe', ''),
(2, 'contrib', 'Пакеты в этой части распространяются владельцем авторских прав на условиях свободной лицензии, но зависят от несвободного программного обеспечения.'),
(6, 'multiverse', ''),
(3, 'non-free', 'Лицензии пакетов в этой части содержат условия, ограничивающие использование или распространение ПО'),
(7, 'partner', '');

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `opt_id` int(2) NOT NULL auto_increment,
  `opt` varchar(50) NOT NULL,
  `optvalue` varchar(200) NOT NULL,
  PRIMARY KEY  (`opt_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `settings`
--

INSERT INTO `settings` (`opt_id`, `opt`, `optvalue`) VALUES
(1, 'proto', 'http://'),
(2, 'url', 'apt.nix-files.uni-altai.ru'),
(3, 'version', '0.2RC1');

-- --------------------------------------------------------

--
-- Структура таблицы `ver2rep`
--

CREATE TABLE IF NOT EXISTS `ver2rep` (
  `id` int(11) NOT NULL auto_increment,
  `ver_id` int(5) default NULL,
  `rep_id` int(5) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ver_id` (`ver_id`),
  KEY `rep_id` (`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=59 ;

--
-- Дамп данных таблицы `ver2rep`
--

INSERT INTO `ver2rep` (`id`, `ver_id`, `rep_id`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 2, 3),
(4, 2, 4),
(5, 2, 5),
(6, 2, 6),
(7, 2, 7),
(8, 2, 8),
(9, 3, 9),
(10, 3, 10),
(11, 3, 11),
(12, 3, 12),
(13, 3, 13),
(14, 4, 14),
(15, 4, 15),
(16, 4, 16),
(17, 4, 17),
(18, 4, 18),
(19, 4, 19),
(20, 4, 20),
(21, 4, 21),
(22, 4, 22),
(23, 5, 23),
(24, 4, 24),
(25, 5, 25),
(26, 5, 26),
(27, 5, 27),
(28, 5, 28),
(29, 5, 29),
(30, 5, 30),
(31, 5, 31),
(32, 5, 32),
(33, 6, 33),
(35, 6, 35),
(36, 6, 36),
(37, 6, 37),
(43, 2, 43),
(44, 3, 44),
(45, 2, 45),
(46, 3, 46),
(47, 3, 47),
(48, 3, 48),
(50, 9, 50),
(51, 9, 51),
(52, 9, 52),
(55, 10, 55),
(56, 10, 56),
(57, 10, 57),
(58, 10, 58);

-- --------------------------------------------------------

--
-- Структура таблицы `version`
--

CREATE TABLE IF NOT EXISTS `version` (
  `version_id` int(5) NOT NULL auto_increment,
  `dist_id` int(5) default NULL,
  `vname` varchar(25) default NULL,
  `version` varchar(10) NOT NULL,
  `vcodename` varchar(10) default NULL,
  PRIMARY KEY  (`version_id`),
  KEY `dist_id` (`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Дамп данных таблицы `version`
--

INSERT INTO `version` (`version_id`, `dist_id`, `vname`, `version`, `vcodename`) VALUES
(1, 1, 'Sarge', '3.1', 'sarge'),
(2, 1, 'Etch', '4.0', 'etch'),
(3, 1, 'Lenny', '5.0', 'lenny'),
(4, 2, 'Hardy Heron', '8.04', 'hardy'),
(5, 2, 'Intrepid Ibex', '8.10', 'intrepid'),
(6, 3, 'Intrepid Ibex', '8.10', 'intrepid'),
(9, 1, 'Squeeze', '6.0', 'squeeze'),
(10, 2, 'Jaunty Jackalope', '9.04', 'jaunty');
